nvme_mi_admin_get_log_discovery(2)

NAME
nvme_mi_admin_get_log_discovery - Retrieve Discovery log page

SYNOPSIS
int nvme_mi_admin_get_log_discovery (nvme_mi_ctrl_t ctrl , bool rae , __u32 offset , __u32 len , void *log );

ARGUMENTS

ctrl
    Controller to query

rae Retain asynchronous events

offset
    Offset of this log to retrieve

len The allocated size for this portion of the log

log User address to store the discovery log

DESCRIPTION
Supported only by fabrics discovery controllers, returning discovery records.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.